Skip to main content
GET
/
api
/
external
/
v1
/
allocations
/
{id}
/
merkle-proof
Merkle Proof
curl --request GET \
  --url https://app.magna.so/api/external/v1/allocations/{id}/merkle-proof \
  --header 'x-magna-api-token: <api-key>'
{
  "isProcessed": true,
  "result": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "decodableArgs": "0x1234567890abcdef1234567890abcdef12345678901234567890abcdef12345678",
    "hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890ab",
    "walletAddress": "0x742d35Cc6634C0532925a3b8D8c9f82bA2D2BbEc",
    "proof": [
      "0x1111111111111111111111111111111111111111111111111111111111111111",
      "0x2222222222222222222222222222222222222222222222222222222222222222",
      "0x3333333333333333333333333333333333333333333333333333333333333333"
    ],
    "input": null,
    "merkleTreeId": "9876543a-bcde-f012-3456-789abcdef012",
    "distributionId": "fedcba98-7654-3210-fedc-ba9876543210",
    "rootIndex": 42,
    "createdAt": "2024-04-15T21:26:21.000Z",
    "updatedAt": "2024-04-15T21:26:21.000Z"
  }
}

Authorizations

x-magna-api-token
string
header
required

Path Parameters

id
string<uuid>
required
Minimum string length: 1

Response

Successful response

isProcessed
boolean
result
any

Endpoint-specific result payload.